# -*- coding: utf-8 -*-
"""AI_TEST.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/13zN5lcUU2J70KqQBzGruLrioF2rf_844

#Task 3
"""

import numpy as np
from sklearn.tree import DecisionTreeClassifier
import graphviz
from sklearn import tree

f = open('src.dat')

# Xs = np.array([[0, 0, 0, 0]])
# Ys = np.array([0])
Xs = []
Ys = []

for line in f:
  Y = int(line.split()[-1])
  X = list(list(map(float, line.split()))[:-1])
  Xs.append(X)
  Ys.append(Y)
f.close()

clf = DecisionTreeClassifier()
clf.fit(Xs, Ys)

dot_data = tree.export_graphviz(clf, out_file=None)
graph = graphviz.Source(dot_data)
graph.render("mytree")

results = clf.predict(Xs)

s = 0
t = 0

for i in range(len(results)):
  if results[i] == Ys[i]:
    s+=1
  t+=1
print(str(s / t * 100) + '%')

import pickle 
f = open("a.pkl", "wb")
pickle.dump(clf, f)
